> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcamp.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customers

> Get all customers of a workspace.



## OpenAPI

````yaml GET /company/customers
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.teamcamp.app/v1.0/
security:
  - bearerAuth: []
paths:
  /company/customers:
    get:
      description: Get all customers of a workspace.
      responses:
        '200':
          description: API Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerDetails'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CustomerDetails:
      type: object
      properties:
        customerId:
          description: The unique id of the customer.
          type: string
        address:
          description: The address of the customer.
          type: string
        firstName:
          description: The first name of the customer.
          type: string
        lastName:
          description: The last name of the customer.
          type: string
        email:
          description: The email of the customer.
          type: string
        companyName:
          description: The company name of the customer.
          type: string
        phone:
          description: The phone no. of the customer.
          type: string
        clients:
          type: array
          items:
            $ref: '#/components/schemas/ClientDetails'
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
    ClientDetails:
      type: object
      properties:
        clientId:
          description: The unique id of the client.
          type: string
        name:
          description: The name of the client.
          type: string
        email:
          description: The email of the client.
          type: string
  securitySchemes:
    bearerAuth:
      type: apiKey
      name: apiKey
      in: header

````